Bug 437695 - Screen Scrolls and Mouse Displays As White Block
Screen Scrolls and Mouse Displays As White Block
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-16 11:34 EDT by Chris Spencer
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-15 19:47:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Current xorg.conf under which the problem's occurring. (1.82 KB, application/octet-stream)
2008-03-16 11:36 EDT, Chris Spencer
no flags Details
Xorg log file. (83.31 KB, text/plain)
2008-03-16 11:45 EDT, Chris Spencer
no flags Details

  None (edit)
Description Chris Spencer 2008-03-16 11:34:44 EDT
Description of problem:
I have a dual head setup, and each monitor is able to display up to 1280x1024.
However, the actual size being displayed is 2560x1200, requiring the user to
"scroll" with the mouse in order to see everything. Also, in the second monitor,
the mouse displays as a 100x100 white block with randomly scattered red and blue
pixels. I tried taking a screenshot of this, but the screenshot utility only
seems to work in the first monitor.

How reproducible:
Every time.

Expected results:
Mouse should display correctly. Resolution should be set to one specified in
xorg.conf.

Additional info:
I have an ATI Radeon X300 graphics card.
[localhost ~]$ lspci | grep Radeon
01:00.0 VGA compatible controller: ATI Technologies Inc RV370 5B60 [Radeon X300
(PCIE)]
01:00.1 Display controller: ATI Technologies Inc RV370 [Radeon X300SE]
Comment 1 Chris Spencer 2008-03-16 11:36:10 EDT
Created attachment 298192 [details]
Current xorg.conf under which the problem's occurring.
Comment 2 Chris Spencer 2008-03-16 11:45:29 EDT
Created attachment 298193 [details]
Xorg log file.
Comment 3 Chris Spencer 2008-03-16 12:16:36 EDT
After toying around with my xorg.conf, I was able to fix the first problem by
specifying "Virtual 1280 1024" in the display subsection for each screen. I was
able to fix the second problem by specifying "SWCursor" "on" in the device
section for my second monitor.
Comment 4 Dave Airlie 2008-05-18 21:44:31 EDT
Can you try the ati driver in F9 updates to see if it fixes the cursor problem?
Comment 5 Matěj Cepl 2008-06-15 15:44:42 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 6 Matěj Cepl 2008-07-15 19:47:03 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.